[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [Pkg-mozext-maintainers] RF[CS]: ubiquity (mozilla extension) in Debian



Hi Gabriele,

> On 10/31/2010 01:00 AM, Benjamin Drung wrote:
> > I did a quick review:
> > 
> > 1) Please rename the source package to ubiquity-extension (or
> Done
> 

Thank you for not making another flamefest out of that one.

[...]

> 
> > 3) "${xpi:Recommends} (>= 3.6)" doesn't work, because multiple items
> > could be generated. If you want versioned Recommends, mozilla-devscripts
> > needs to be adjusted.
> It generates "Recommends: iceweasel (>= 3.6)" which seems to be ok. What
> multiple items do you mean in this case?
> 

${xpi:Recommends} could have expanded to something like iceweasel, foo, bar - in
which case you'd end up with iceweasel, foo, bar (>= 3.6). As you only expect
iceweasel in there (otherwise this version doesn't make sense) you should just
say so instead of using a substvar.

[...]

Best regards,
Michael

Attachment: pgpLs_Eg3T7Kg.pgp
Description: PGP signature


Reply to: